Index: trunk/lib/FlairSensorActuator/src/VrpnObject_impl.cpp
===================================================================
--- trunk/lib/FlairSensorActuator/src/VrpnObject_impl.cpp	(revision 14)
+++ trunk/lib/FlairSensorActuator/src/VrpnObject_impl.cpp	(revision 15)
@@ -39,176 +39,161 @@
 using namespace flair::sensor;
 
-VrpnObject_impl::VrpnObject_impl(VrpnObject* self,const VrpnClient *parent,string name, int id,const TabWidget* tab)
-{
-    this->parent=parent;
-    this->self=self;
+VrpnObject_impl::VrpnObject_impl(VrpnObject *self, const VrpnClient *parent,
+                                 string name, int id, const TabWidget *tab) {
+  this->parent = parent;
+  this->self = self;
 
-    if(id==-1 && parent->UseXbee())
-    {
-        self->Err("erreur aucun identifiant specifie pour la connexion Xbee\n");
-    }
-    if(id!=-1 && !parent->UseXbee())
-    {
-        self->Warn("identifiant pour la connexion Xbee ignore car pas en mode Xbee\n");
-    }
+  if (id == -1 && parent->UseXbee()) {
+    self->Err("erreur aucun identifiant specifie pour la connexion Xbee\n");
+  }
+  if (id != -1 && !parent->UseXbee()) {
+    self->Warn(
+        "identifiant pour la connexion Xbee ignore car pas en mode Xbee\n");
+  }
 
-	if(parent->UseXbee())
-	{
-        parent->pimpl_->AddTrackable(this,id);
-        tracker=NULL;
-	}
-	else
-	{
-	    parent->pimpl_->AddTrackable(self);
-        tracker = new vrpn_Tracker_Remote(name.c_str(), parent->pimpl_->connection);
-        tracker->register_change_handler(this,handle_pos);
-        tracker->shutup=true;
-	}
+  if (parent->UseXbee()) {
+    parent->pimpl_->AddTrackable(this, id);
+    tracker = NULL;
+  } else {
+    parent->pimpl_->AddTrackable(self);
+    tracker = new vrpn_Tracker_Remote(name.c_str(), parent->pimpl_->connection);
+    tracker->register_change_handler(this, handle_pos);
+    tracker->shutup = true;
+  }
 
-	//state
-	cvmatrix_descriptor* desc=new cvmatrix_descriptor(6,1);
-	desc->SetElementName(0,0,"roll");
-	desc->SetElementName(1,0,"pitch");
-	desc->SetElementName(2,0,"yaw");
-	desc->SetElementName(3,0,"x");
-	desc->SetElementName(4,0,"y");
-	desc->SetElementName(5,0,"z");
-	output=new cvmatrix(self,desc,floatType);
+  // state
+  cvmatrix_descriptor *desc = new cvmatrix_descriptor(6, 1);
+  desc->SetElementName(0, 0, "roll");
+  desc->SetElementName(1, 0, "pitch");
+  desc->SetElementName(2, 0, "yaw");
+  desc->SetElementName(3, 0, "x");
+  desc->SetElementName(4, 0, "y");
+  desc->SetElementName(5, 0, "z");
+  output = new cvmatrix(self, desc, floatType);
 
-	desc=new cvmatrix_descriptor(3,1);
-	desc->SetElementName(0,0,"roll");
-	desc->SetElementName(1,0,"pitch");
-	desc->SetElementName(2,0,"yaw");
-	state=new cvmatrix(self,desc,floatType);
+  desc = new cvmatrix_descriptor(3, 1);
+  desc->SetElementName(0, 0, "roll");
+  desc->SetElementName(1, 0, "pitch");
+  desc->SetElementName(2, 0, "yaw");
+  state = new cvmatrix(self, desc, floatType);
 
-	//ui
-	plot_tab=new Tab(tab,"Mesures "+ name);
-        x_plot=new DataPlot1D(plot_tab->NewRow(),"x",-10,10);
-            x_plot->AddCurve(output->Element(3));
-        y_plot=new DataPlot1D(plot_tab->LastRowLastCol(),"y",-10,10);
-            y_plot->AddCurve(output->Element(4));
-        z_plot=new DataPlot1D(plot_tab->LastRowLastCol(),"z",-2,0);
-            z_plot->AddCurve(output->Element(5));
+  // ui
+  plot_tab = new Tab(tab, "Mesures " + name);
+  x_plot = new DataPlot1D(plot_tab->NewRow(), "x", -10, 10);
+  x_plot->AddCurve(output->Element(3));
+  y_plot = new DataPlot1D(plot_tab->LastRowLastCol(), "y", -10, 10);
+  y_plot->AddCurve(output->Element(4));
+  z_plot = new DataPlot1D(plot_tab->LastRowLastCol(), "z", -2, 0);
+  z_plot->AddCurve(output->Element(5));
 }
 
-VrpnObject_impl::~VrpnObject_impl(void)
-{
-    if(tracker!=NULL)//normal
-	{
-	    parent->pimpl_->RemoveTrackable(self);
-        tracker->unregister_change_handler(this,handle_pos);
-        delete tracker;
-	}
-	else//xbee
-	{
-        parent->pimpl_->RemoveTrackable(this);
-	}
-	delete plot_tab;
+VrpnObject_impl::~VrpnObject_impl(void) {
+  if (tracker != NULL) // normal
+  {
+    parent->pimpl_->RemoveTrackable(self);
+    tracker->unregister_change_handler(this, handle_pos);
+    delete tracker;
+  } else // xbee
+  {
+    parent->pimpl_->RemoveTrackable(this);
+  }
+  delete plot_tab;
 }
 
-void VrpnObject_impl::mainloop(void)
-{
-	tracker->mainloop();
+void VrpnObject_impl::mainloop(void) { tracker->mainloop(); }
+
+bool VrpnObject_impl::IsTracked(unsigned int timeout_ms) {
+  output->GetMutex();
+  Time a = GetTime();
+  Time dt = a - output->DataTime();
+  output->ReleaseMutex();
+
+  if (dt > (Time)(timeout_ms * 1000000)) {
+    // self->Printf("%lld %lld %lld
+    // %lld\n",a,output->DataTime(),dt,(Time)(timeout_ms*1000000));
+    return false;
+  } else {
+    return true;
+  }
 }
 
-bool VrpnObject_impl::IsTracked(unsigned int timeout_ms)
-{
-    output->GetMutex();
-    Time a=GetTime();
-    Time dt=a-output->DataTime();
-    output->ReleaseMutex();
-
-    if(dt>(Time)(timeout_ms*1000000))
-    {
-        //self->Printf("%lld %lld %lld %lld\n",a,output->DataTime(),dt,(Time)(timeout_ms*1000000));
-        return false;
-    }
-    else
-    {
-        return true;
-    }
-}
-
-void VrpnObject_impl::GetEuler(Euler &euler)
-{
-    output->GetMutex();
-    euler.roll=output->ValueNoMutex(0,0);
-    euler.pitch=output->ValueNoMutex(1,0);
-    euler.yaw=output->ValueNoMutex(2,0);
-    output->ReleaseMutex();
+void VrpnObject_impl::GetEuler(Euler &euler) {
+  output->GetMutex();
+  euler.roll = output->ValueNoMutex(0, 0);
+  euler.pitch = output->ValueNoMutex(1, 0);
+  euler.yaw = output->ValueNoMutex(2, 0);
+  output->ReleaseMutex();
 }
 
 void VrpnObject_impl::GetQuaternion(Quaternion &quaternion) {
-    output->GetMutex();
-    quaternion.q0=this->quaternion.q0;
-    quaternion.q1=this->quaternion.q1;
-    quaternion.q2=this->quaternion.q2;
-    quaternion.q3=this->quaternion.q3;
-    output->ReleaseMutex();
+  output->GetMutex();
+  quaternion.q0 = this->quaternion.q0;
+  quaternion.q1 = this->quaternion.q1;
+  quaternion.q2 = this->quaternion.q2;
+  quaternion.q3 = this->quaternion.q3;
+  output->ReleaseMutex();
 }
 
-void VrpnObject_impl::GetPosition(Vector3D &point)
-{
-    output->GetMutex();
-    point.x=output->ValueNoMutex(3,0);
-    point.y=output->ValueNoMutex(4,0);
-    point.z=output->ValueNoMutex(5,0);
-    output->ReleaseMutex();
+void VrpnObject_impl::GetPosition(Vector3D &point) {
+  output->GetMutex();
+  point.x = output->ValueNoMutex(3, 0);
+  point.y = output->ValueNoMutex(4, 0);
+  point.z = output->ValueNoMutex(5, 0);
+  output->ReleaseMutex();
 }
 
-void VRPN_CALLBACK VrpnObject_impl::handle_pos(void *userdata, const vrpn_TRACKERCB t)
-{
-    bool is_nan=false;
-	VrpnObject_impl* caller= reinterpret_cast<VrpnObject_impl*>(userdata);
-	Time time=GetTime();
+void VRPN_CALLBACK
+VrpnObject_impl::handle_pos(void *userdata, const vrpn_TRACKERCB t) {
+  bool is_nan = false;
+  VrpnObject_impl *caller = reinterpret_cast<VrpnObject_impl *>(userdata);
+  Time time = GetTime();
 
-    //check if something is nan
-    for(int i=0;i<3;i++)
-    {
-        if(isnan(t.pos[i])==true) is_nan=true;
-    }
-    for(int i=0;i<4;i++)
-    {
-        if(isnan(t.quat[i])==true) is_nan=true;
-    }
-    if(is_nan==true)
-    {
-        caller->self->Warn("data is nan, skipping it (time %lld)\n",time);
-        return;
-    }
+  // check if something is nan
+  for (int i = 0; i < 3; i++) {
+    if (isnan(t.pos[i]) == true)
+      is_nan = true;
+  }
+  for (int i = 0; i < 4; i++) {
+    if (isnan(t.quat[i]) == true)
+      is_nan = true;
+  }
+  if (is_nan == true) {
+    caller->self->Warn("data is nan, skipping it (time %lld)\n", time);
+    return;
+  }
 
-    //on prend une fois pour toute le mutex et on fait des accès directs
-    caller->output->GetMutex();
+  // on prend une fois pour toute le mutex et on fait des accès directs
+  caller->output->GetMutex();
 
-    //warning: t.quat is defined as (qx,qy,qz,qw), which is different from flair::core::Quaternion
-    caller->quaternion.q0=t.quat[3];
-    caller->quaternion.q1=t.quat[0];
-    caller->quaternion.q2=t.quat[1];
-    caller->quaternion.q3=t.quat[2];
-    Vector3D pos((float)t.pos[0],(float)t.pos[1],(float)t.pos[2]);
+  // warning: t.quat is defined as (qx,qy,qz,qw), which is different from
+  // flair::core::Quaternion
+  caller->quaternion.q0 = t.quat[3];
+  caller->quaternion.q1 = t.quat[0];
+  caller->quaternion.q2 = t.quat[1];
+  caller->quaternion.q3 = t.quat[2];
+  Vector3D pos((float)t.pos[0], (float)t.pos[1], (float)t.pos[2]);
 
-    //on effectue les rotation
-    caller->parent->pimpl_->ComputeRotations(pos);
-    caller->parent->pimpl_->ComputeRotations(caller->quaternion);
+  // on effectue les rotation
+  caller->parent->pimpl_->ComputeRotations(pos);
+  caller->parent->pimpl_->ComputeRotations(caller->quaternion);
 
-    Euler euler;
-    caller->quaternion.ToEuler(euler);
-    caller->output->SetValueNoMutex( 0, 0,euler.roll);
-    caller->output->SetValueNoMutex( 1, 0,euler.pitch);
-    caller->output->SetValueNoMutex( 2, 0,euler.yaw);
-    caller->output->SetValueNoMutex( 3, 0,pos.x);
-    caller->output->SetValueNoMutex( 4, 0,pos.y);
-    caller->output->SetValueNoMutex( 5, 0,pos.z);
+  Euler euler;
+  caller->quaternion.ToEuler(euler);
+  caller->output->SetValueNoMutex(0, 0, euler.roll);
+  caller->output->SetValueNoMutex(1, 0, euler.pitch);
+  caller->output->SetValueNoMutex(2, 0, euler.yaw);
+  caller->output->SetValueNoMutex(3, 0, pos.x);
+  caller->output->SetValueNoMutex(4, 0, pos.y);
+  caller->output->SetValueNoMutex(5, 0, pos.z);
 
-    caller->output->SetDataTime(time);
-    caller->output->ReleaseMutex();
+  caller->output->SetDataTime(time);
+  caller->output->ReleaseMutex();
 
-    caller->state->GetMutex();
-    caller->state->SetValueNoMutex( 0, 0,Euler::ToDegree(euler.roll));
-    caller->state->SetValueNoMutex( 1, 0,Euler::ToDegree(euler.pitch));
-    caller->state->SetValueNoMutex(2, 0,Euler::ToDegree(euler.yaw));
-    caller->state->ReleaseMutex();
+  caller->state->GetMutex();
+  caller->state->SetValueNoMutex(0, 0, Euler::ToDegree(euler.roll));
+  caller->state->SetValueNoMutex(1, 0, Euler::ToDegree(euler.pitch));
+  caller->state->SetValueNoMutex(2, 0, Euler::ToDegree(euler.yaw));
+  caller->state->ReleaseMutex();
 
-    caller->self->ProcessUpdate(caller->output);
+  caller->self->ProcessUpdate(caller->output);
 }
-
Index: trunk/lib/FlairSensorActuator/src/XBldc.cpp
===================================================================
--- trunk/lib/FlairSensorActuator/src/XBldc.cpp	(revision 14)
+++ trunk/lib/FlairSensorActuator/src/XBldc.cpp	(revision 15)
@@ -23,20 +23,16 @@
 using namespace flair::gui;
 
-namespace flair
-{
-namespace actuator
-{
+namespace flair {
+namespace actuator {
 
-XBldc::XBldc(const IODevice* parent,Layout* layout,string name,I2cPort* i2cport) : Bldc(parent,layout,name,4) {
-    pimpl_=new XBldc_impl(this,i2cport);
+XBldc::XBldc(const IODevice *parent, Layout *layout, string name,
+             I2cPort *i2cport)
+    : Bldc(parent, layout, name, 4) {
+  pimpl_ = new XBldc_impl(this, i2cport);
 }
 
-XBldc::~XBldc() {
-    delete pimpl_;
-}
+XBldc::~XBldc() { delete pimpl_; }
 
-void XBldc::SetMotors(float* value) {
-    pimpl_->SetMotors(value);
-}
+void XBldc::SetMotors(float *value) { pimpl_->SetMotors(value); }
 
 } // end namespace actuator
Index: trunk/lib/FlairSensorActuator/src/XBldc.h
===================================================================
--- trunk/lib/FlairSensorActuator/src/XBldc.h	(revision 14)
+++ trunk/lib/FlairSensorActuator/src/XBldc.h	(revision 15)
@@ -16,79 +16,74 @@
 #include "Bldc.h"
 
-namespace flair
-{
-    namespace core
-    {
-        class IODevice;
-        class I2cPort;
-    }
-    namespace gui
-    {
-        class Layout;
-    }
+namespace flair {
+namespace core {
+class IODevice;
+class I2cPort;
+}
+namespace gui {
+class Layout;
+}
 }
 
 class XBldc_impl;
 
-namespace flair
-{
-namespace actuator
-{
-    /*! \class XBldc
-    *
-    * \brief Class for Xufo Bldc
-    */
-    class XBldc : public Bldc
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a XBldc.
-            *
-            * \param parent parent
-            * \param layout layout
-            * \param name name
-            * \param i2cport i2cport
-            */
-            XBldc(const core::IODevice* parent,gui::Layout* layout,std::string name,core::I2cPort* i2cport);
+namespace flair {
+namespace actuator {
+/*! \class XBldc
+*
+* \brief Class for Xufo Bldc
+*/
+class XBldc : public Bldc {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a XBldc.
+  *
+  * \param parent parent
+  * \param layout layout
+  * \param name name
+  * \param i2cport i2cport
+  */
+  XBldc(const core::IODevice *parent, gui::Layout *layout, std::string name,
+        core::I2cPort *i2cport);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~XBldc();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~XBldc();
 
-            /*!
-            * \brief Has speed measurement
-            *
-            * Reimplemented from Bldc. \n
-            *
-            * \return true if it has speed measurement
-            */
-            bool HasSpeedMeasurement(void) const{return false;};
+  /*!
+  * \brief Has speed measurement
+  *
+  * Reimplemented from Bldc. \n
+  *
+  * \return true if it has speed measurement
+  */
+  bool HasSpeedMeasurement(void) const { return false; };
 
-            /*!
-            * \brief Has current measurement
-            *
-            * Reimplemented from Bldc. \n
-            *
-            * \return true if it has current measurement
-            */
-            bool HasCurrentMeasurement(void) const{return false;};
+  /*!
+  * \brief Has current measurement
+  *
+  * Reimplemented from Bldc. \n
+  *
+  * \return true if it has current measurement
+  */
+  bool HasCurrentMeasurement(void) const { return false; };
 
-        private:
-            /*!
-            * \brief Set motors values
-            *
-            * Reimplemented from Bldc. \n
-            * Values size must be the same as MotorsCount()
-            *
-            * \param values motor values
-            */
-            void SetMotors(float* value);
+private:
+  /*!
+  * \brief Set motors values
+  *
+  * Reimplemented from Bldc. \n
+  * Values size must be the same as MotorsCount()
+  *
+  * \param values motor values
+  */
+  void SetMotors(float *value);
 
-            class XBldc_impl* pimpl_;
-    };
+  class XBldc_impl *pimpl_;
+};
 } // end namespace actuator
 } // end namespace flair
Index: trunk/lib/FlairSensorActuator/src/XBldc_impl.cpp
===================================================================
--- trunk/lib/FlairSensorActuator/src/XBldc_impl.cpp	(revision 14)
+++ trunk/lib/FlairSensorActuator/src/XBldc_impl.cpp	(revision 15)
@@ -29,40 +29,40 @@
 using namespace flair::actuator;
 
-XBldc_impl::XBldc_impl(XBldc* self,I2cPort* i2cport) {
-    this->self=self;
-	this->i2cport=i2cport;
+XBldc_impl::XBldc_impl(XBldc *self, I2cPort *i2cport) {
+  this->self = self;
+  this->i2cport = i2cport;
 
-    i2cport->SetTxTimeout(5000000);
+  i2cport->SetTxTimeout(5000000);
 }
 
-XBldc_impl::~XBldc_impl() {
-}
+XBldc_impl::~XBldc_impl() {}
 
-void XBldc_impl::SetMotors(float* value) {
-    uint8_t tosend_value[5];
+void XBldc_impl::SetMotors(float *value) {
+  uint8_t tosend_value[5];
 
-    for(int i=0;i<4;i++) tosend_value[i]=(uint8_t)(MAX_VALUE*value[i]);
+  for (int i = 0; i < 4; i++)
+    tosend_value[i] = (uint8_t)(MAX_VALUE * value[i]);
 
-    ssize_t written;
-    tosend_value[4]=0xaa;
-    for(int i=0;i<4;i++) tosend_value[4]+=tosend_value[i];
-    self->Err("please verify motors adresses\n");
-    //todo faire la procedure changement addresse par la station sol
-/*
-    i2cport->GetMutex();
-    i2cport->SetSlave(BASE_ADDRESS);
+  ssize_t written;
+  tosend_value[4] = 0xaa;
+  for (int i = 0; i < 4; i++)
+    tosend_value[4] += tosend_value[i];
+  self->Err("please verify motors adresses\n");
+  // todo faire la procedure changement addresse par la station sol
+  /*
+      i2cport->GetMutex();
+      i2cport->SetSlave(BASE_ADDRESS);
 
-    written =i2cport->Write(tosend_value, sizeof(tosend_value));
-    if(written<0)
-    {
-        self->Err("rt_dev_write error (%s)\n",strerror(-written));
-    }
-    else if (written != sizeof(tosend_value))
-    {
-        self->Err("rt_dev_write error %i/%i\n",written,sizeof(tosend_value));
-    }
+      written =i2cport->Write(tosend_value, sizeof(tosend_value));
+      if(written<0)
+      {
+          self->Err("rt_dev_write error (%s)\n",strerror(-written));
+      }
+      else if (written != sizeof(tosend_value))
+      {
+          self->Err("rt_dev_write error %i/%i\n",written,sizeof(tosend_value));
+      }
 
-    i2cport->ReleaseMutex();*/
-
+      i2cport->ReleaseMutex();*/
 }
 /*
@@ -94,54 +94,57 @@
 */
 void XBldc_impl::ChangeDirection(uint8_t moteur) {
-    unsigned char tx[4];
-    ssize_t written;
+  unsigned char tx[4];
+  ssize_t written;
 
-    tx[0]=254;
-    tx[1]=moteur;
-    tx[2]=0;
-    tx[3]=234+moteur;
+  tx[0] = 254;
+  tx[1] = moteur;
+  tx[2] = 0;
+  tx[3] = 234 + moteur;
 
-    i2cport->GetMutex();
-    i2cport->SetSlave(BASE_ADDRESS);
+  i2cport->GetMutex();
+  i2cport->SetSlave(BASE_ADDRESS);
 
-    written =i2cport->Write(tx, sizeof(tx));
-    if(written<0) {
-        self->Err("rt_dev_write (%s) error\n",strerror(-written));
-    } else if (written != sizeof(tx)) {
-        self->Err("rt_dev_write %i/%i error\n",written,sizeof(tx));
-    }
+  written = i2cport->Write(tx, sizeof(tx));
+  if (written < 0) {
+    self->Err("rt_dev_write (%s) error\n", strerror(-written));
+  } else if (written != sizeof(tx)) {
+    self->Err("rt_dev_write %i/%i error\n", written, sizeof(tx));
+  }
 
-    i2cport->ReleaseMutex();
+  i2cport->ReleaseMutex();
 }
 
-void XBldc_impl::ChangeAdress(uint8_t old_add,uint8_t new_add) {
-    unsigned char tx[4];
-    ssize_t written;
+void XBldc_impl::ChangeAdress(uint8_t old_add, uint8_t new_add) {
+  unsigned char tx[4];
+  ssize_t written;
 
-    tx[0]=250;
-    tx[1]=old_add;
-    tx[2]=new_add;
-    tx[3]=230+old_add+new_add;
+  tx[0] = 250;
+  tx[1] = old_add;
+  tx[2] = new_add;
+  tx[3] = 230 + old_add + new_add;
 
-    i2cport->GetMutex();
-    i2cport->SetSlave(BASE_ADDRESS);
+  i2cport->GetMutex();
+  i2cport->SetSlave(BASE_ADDRESS);
 
-    written =i2cport->Write(tx, sizeof(tx));
-    if(written<0) {
-        self->Err("rt_dev_write error (%s)\n",strerror(-written));
-    } else if (written != sizeof(tx)) {
-        self->Err("rt_dev_write error %i/%i\n",written,sizeof(tx));
-    }
+  written = i2cport->Write(tx, sizeof(tx));
+  if (written < 0) {
+    self->Err("rt_dev_write error (%s)\n", strerror(-written));
+  } else if (written != sizeof(tx)) {
+    self->Err("rt_dev_write error %i/%i\n", written, sizeof(tx));
+  }
 
-    i2cport->ReleaseMutex();
+  i2cport->ReleaseMutex();
 }
 
-uint8_t XBldc_impl::Sat(float value,uint8_t min,uint8_t max) {
-  uint8_t sat_value=(uint8_t)value;
+uint8_t XBldc_impl::Sat(float value, uint8_t min, uint8_t max) {
+  uint8_t sat_value = (uint8_t)value;
 
-  if(value>((float)sat_value+0.5)) sat_value++;
+  if (value > ((float)sat_value + 0.5))
+    sat_value++;
 
-  if(value<(float)min) sat_value=min;
-  if(value>(float)max) sat_value=max;
+  if (value < (float)min)
+    sat_value = min;
+  if (value > (float)max)
+    sat_value = max;
 
   return sat_value;
